//===========================================================================
// spiral.h
// 2D-Linien zeichnen mit OpenGL
//===========================================================================

#ifndef _SPIRAL_H_
#define _SPIRAL_H_

//===========================================================================
// Klassendeklaration
//===========================================================================

class CSpiral
{
  public:                       // Nachfolgende Elemente sind ffentlich

    CSpiral();                  // Konstruktor
    virtual ~CSpiral();         // Destruktor

    void rotate(float degrees); // Spirale rotieren
    void render();              // Spirale zeichnen
    
  protected:                    // Nachfolgende Elemente sind geschtzt
  
    float        m_radius;      // Radius der Spirale
    unsigned int m_steps;       // Zeichnenschritte
    float        m_rotation;    // Rotation in Grad
};

#endif // _SPIRAL_H_
